%define upstream_name    Data-Types
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Validate and convert data types
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This module exports a number of functions that are useful for validating
and converting data types. It is intended for use in applications where
data types are more important than they typically are in Perl -- e.g.,
database applications.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.90.0-6.mga6
+ Revision: 1024939
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.90.0-5.mga6
+ Revision: 949579
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 790036
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 747996
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 684249
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 guillomovitch <guillomovitch> 0.90.0-1.mga5
+ Revision: 583467
- imported package perl-Data-Types


* Wed Feb 05 2014 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
